Index: trunk/lib/Utilities.inc.php
===================================================================
--- trunk/lib/Utilities.inc.php	(revision 124)
+++ trunk/lib/Utilities.inc.php	(revision 136)
@@ -74,4 +74,6 @@
 function oTxt($txt, $preserve_html=false)
 {
+	$app =& App::getInstance();
+
     $search = array();
     $replace = array();
@@ -100,5 +102,5 @@
     $replace['ampersand']       = '&amp;';
 
-    return preg_replace($search, $replace, htmlentities($txt, ENT_QUOTES, App::getParam('character_set')));
+    return preg_replace($search, $replace, htmlentities($txt, ENT_QUOTES, $app->getParam('character_set')));
 }
 
@@ -474,8 +476,10 @@
 function escapedList($in)
 {
+	$db =& DB::getInstance();
+	
     if (is_array($in) && !empty($in)) {
-        return "'" . join("', '", array_map(array('DB', 'escapeString'), $in)) . "'";
-    } else {
-        return DB::escapeString($in);
+        return "'" . join("', '", array_map(array($db, 'escapeString'), $in)) . "'";
+    } else {
+        return $db->escapeString($in);
     }
 }
@@ -596,10 +600,12 @@
 function addSignature($val, $seed_key=null)
 {
+	$app =& App::getInstance();
+	
     if ('' == $val) {
-        App::logMsg(sprintf('Adding signature to empty string.', null), LOG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Adding signature to empty string.', null), LOG_NOTICE, __FILE__, __LINE__);
     }
 
     if (!isset($seed_key)) {
-        $seed_key = App::getParam('signing_key');
+        $seed_key = $app->getParam('signing_key');
     }
 
@@ -662,17 +668,19 @@
 function mailmanAddMember($email, $list, $send_welcome_message=false)
 {
-   $add_members = '/var/mailman/bin/add_members';
+	$app =& App::getInstance();
+	
+	$add_members = '/var/mailman/bin/add_members';
     if (is_executable($add_members) && is_readable($add_members)) {
         $welcome_msg = $send_welcome_message ? 'y' : 'n';
         exec(sprintf('/bin/echo %s | /usr/bin/sudo %s -r - --welcome-msg=%s --admin-notify=n %s', escapeshellarg($email), escapeshellarg($add_members), $welcome_msg, escapeshellarg($list)), $stdout, $return_code);
         if (0 == $return_code) {
-            App::logMsg(sprintf('Mailman add member success for list: %s, user: %s', $list, $email, $stdout), LOG_INFO, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Mailman add member success for list: %s, user: %s', $list, $email, $stdout), LOG_INFO, __FILE__, __LINE__);
             return true;
         } else {
-            App::logMsg(sprintf('Mailman add member failed for list: %s, user: %s, with message: %s', $list, $email, $stdout), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Mailman add member failed for list: %s, user: %s, with message: %s', $list, $email, $stdout), LOG_WARNING, __FILE__, __LINE__);
             return false;
         }
     } else {
-        App::logMsg(sprintf('Mailman add member program not executable: %s', $add_members), LOG_ALERT, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Mailman add member program not executable: %s', $add_members), LOG_ALERT, __FILE__, __LINE__);
         return false;
     }
@@ -691,4 +699,6 @@
 function mailmanRemoveMember($email, $list, $send_user_ack=false)
 {
+	$app =& App::getInstance();
+	
     $remove_members = '/var/mailman/bin/remove_members';
     if (is_executable($remove_members) && is_readable($remove_members)) {
@@ -696,12 +706,12 @@
         exec(sprintf('/usr/bin/sudo %s %s --noadminack %s %s', escapeshellarg($remove_members), $userack, escapeshellarg($list), escapeshellarg($email)), $stdout, $return_code);
         if (0 == $return_code) {
-            App::logMsg(sprintf('Mailman remove member success for list: %s, user: %s', $list, $email, $stdout), LOG_INFO, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Mailman remove member success for list: %s, user: %s', $list, $email, $stdout), LOG_INFO, __FILE__, __LINE__);
             return true;
         } else {
-            App::logMsg(sprintf('Mailman remove member failed for list: %s, user: %s, with message: %s', $list, $email, $stdout), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Mailman remove member failed for list: %s, user: %s, with message: %s', $list, $email, $stdout), LOG_WARNING, __FILE__, __LINE__);
             return false;
         }
     } else {
-        App::logMsg(sprintf('Mailman remove member program not executable: %s', $remove_members), LOG_ALERT, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Mailman remove member program not executable: %s', $remove_members), LOG_ALERT, __FILE__, __LINE__);
         return false;
     }
Index: trunk/services/admins.php
===================================================================
--- trunk/services/admins.php	(revision 124)
+++ trunk/services/admins.php	(revision 136)
@@ -8,8 +8,8 @@
 
 $auth->requireLogin();
-App::sslOn();
+$app->sslOn();
 
 require_once 'codebase/lib/PageNumbers.inc.php';
-require_once 'codebase/lib/SessionCache.inc.php';
+require_once 'codebase/lib/Cache.inc.php';
 require_once 'codebase/lib/FormValidator.inc.php';
 require_once 'codebase/lib/SortOrder.inc.php';
@@ -29,4 +29,6 @@
 // The object to validate form input.
 $fv = new FormValidator();
+
+$cache =& Cache::getInstance();
 
 // Instantiate a sorting object with the default sort and order. Add SQL for each column.
@@ -54,5 +56,5 @@
 
 // Search limiters retain their values between page requests.
-App::carryQuery('search_query');
+$app->carryQuery('search_query');
 
 
@@ -64,10 +66,10 @@
 // allows us to remember which page we came from so we can go back there.
 if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
-    App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'admins');
+    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'admins');
 }
 
 if (getFormData('break_list_cache', false)) {
     // Break the cache because we are changing the list data.
-    SessionCache::breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 }
 
@@ -91,20 +93,20 @@
 case 'del' :
     deleteRecord(getFormData('admin_id'));
-    if (App::validBoomerangURL('admins')) {
+    if ($app->validBoomerangURL('admins')) {
         // Display boomerang page.
-        App::dieBoomerangURL('admins');
+        $app->dieBoomerangURL('admins');
     }
     // Display default page.
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
 case 'insert' :
     if (getFormdata('cancel', false)) {
-        if (App::validBoomerangURL('admins')) {
+        if ($app->validBoomerangURL('admins')) {
             // Display boomerang page.
-            App::dieBoomerangURL('admins');
+            $app->dieBoomerangURL('admins');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     validateInput();
@@ -118,11 +120,11 @@
         if (getFormdata('repeat', false)) {
             // Display function again.
-            App::dieURL($_SERVER['PHP_SELF'] . '?op=add');
-        } else if (App::validBoomerangURL('admins')) {
+            $app->dieURL($_SERVER['PHP_SELF'] . '?op=add');
+        } else if ($app->validBoomerangURL('admins')) {
             // Display boomerang page.
-            App::dieBoomerangURL('admins');
+            $app->dieBoomerangURL('admins');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     break;
@@ -130,6 +132,6 @@
 case 'update' :
     if (getFormdata('reset', false)) {
-        App::raiseMsg(_("Saved values have been reloaded."), MSG_NOTICE, __FILE__, __LINE__);
-        App::dieURL($_SERVER['PHP_SELF'] . '?op=edit&admin_id=' . getFormData('admin_id'));
+        $app->raiseMsg(_("Saved values have been reloaded."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->dieURL($_SERVER['PHP_SELF'] . '?op=edit&admin_id=' . getFormData('admin_id'));
     }
     if (getFormdata('cancel', false)) {
@@ -137,10 +139,10 @@
         $lock->select('admin_tbl', 'admin_id', getFormData('admin_id'));
         $lock->remove();
-        if (App::validBoomerangURL('admins')) {
+        if ($app->validBoomerangURL('admins')) {
             // Display boomerang page.
-            App::dieBoomerangURL('admins');
+            $app->dieBoomerangURL('admins');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     validateInput();
@@ -154,16 +156,16 @@
         if (getFormdata('repeat', false)) {
             // Display edit function with next available ID.
-            $qid = DB::query("SELECT admin_id FROM admin_tbl WHERE admin_id > '" . DB::escapeString(getFormData('admin_id')) . "' ORDER BY admin_id ASC LIMIT 1");
+            $qid = $db->query("SELECT admin_id FROM admin_tbl WHERE admin_id > '" . $db->escapeString(getFormData('admin_id')) . "' ORDER BY admin_id ASC LIMIT 1");
             if (list($next_id) = mysql_fetch_row($qid)) {
-                App::dieURL($_SERVER['PHP_SELF'] . '?op=edit&admin_id=' . $next_id);
+                $app->dieURL($_SERVER['PHP_SELF'] . '?op=edit&admin_id=' . $next_id);
             } else {
-                App::raiseMsg(_("Cannot edit next, the end of the list was reached"), MSG_NOTICE, __FILE__, __LINE__);
+                $app->raiseMsg(_("Cannot edit next, the end of the list was reached"), MSG_NOTICE, __FILE__, __LINE__);
             }
-        } else if (App::validBoomerangURL('admins')) {
+        } else if ($app->validBoomerangURL('admins')) {
             // Display boomerang page.
-            App::dieBoomerangURL('admins');
+            $app->dieBoomerangURL('admins');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     break;
@@ -258,5 +260,7 @@
 {
     global $lock;
-
+	$app =& App::getInstance();
+	$db =& DB::getInstance();
+	
     $lock->select('admin_tbl', 'admin_id', $id);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -265,13 +269,13 @@
 
     // Get the information for the form.
-    $qid = DB::query("
+    $qid = $db->query("
         SELECT *
         FROM admin_tbl
-        WHERE admin_id = '" . DB::escapeString($id) . "'
+        WHERE admin_id = '" . $db->escapeString($id) . "'
     ");
     if (!$frm = mysql_fetch_assoc($qid)) {
-        App::logMsg('Could not find record with admin_id: ' . $id, LOG_WARNING, __FILE__, __LINE__);
-        App::raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
-        App::dieBoomerangURL();
+        $app->logMsg('Could not find record with admin_id: ' . $id, LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
+        $app->dieBoomerangURL();
     }
 
@@ -313,5 +317,8 @@
 {
     global $auth, $lock;
-
+	$app =& App::getInstance();
+	$db =& DB::getInstance();
+	$cache =& Cache::getInstance();
+	
     $lock->select('admin_tbl', 'admin_id', $id);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -320,33 +327,33 @@
 
     // Break the cache because we are changing the list data.
-    SessionCache::breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // Get the information for this object.
-    $qid = DB::query("
+    $qid = $db->query("
         SELECT username, user_type from admin_tbl
-        WHERE admin_id = '" . DB::escapeString($id) . "'
+        WHERE admin_id = '" . $db->escapeString($id) . "'
     ");
     if (! list($name, $user_type) = mysql_fetch_row($qid)) {
-        App::logMsg('Could not find record with admin_id: ' . $id, LOG_WARNING, __FILE__, __LINE__);
-        App::raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
-        App::dieBoomerangURL();
+        $app->logMsg('Could not find record with admin_id: ' . $id, LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
+        $app->dieBoomerangURL();
     }
 
     // Get the information for this object.
-    $qid = DB::query("SELECT COUNT(*) from admin_tbl");
+    $qid = $db->query("SELECT COUNT(*) from admin_tbl");
     list($num_admins) = mysql_fetch_row($qid);
     if ('root' == $user_type && 'root' != $auth->getVal('user_type')) {
         // Only root users can delete root users!
-        App::raiseMsg(_("You do not have clearance to delete a root administrator."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(_("You do not have clearance to delete a root administrator."), MSG_NOTICE, __FILE__, __LINE__);
     } else if ($num_admins <= 1) {
         // There must always be at least one admnistrator!
-        App::raiseMsg(_("You cannot delete the only administrator in the database. There must be at least one to log in and create other users."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(_("You cannot delete the only administrator in the database. There must be at least one to log in and create other users."), MSG_NOTICE, __FILE__, __LINE__);
     } else if ($auth->getVal('user_id') == $id) {
         // Do not delete yourself!
-        App::raiseMsg(_("You cannot delete yourself."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(_("You cannot delete yourself."), MSG_NOTICE, __FILE__, __LINE__);
     } else {
         // Delete the record.
-        DB::query("DELETE FROM admin_tbl WHERE admin_id = '" . DB::escapeString($id) . "'");
-        App::raiseMsg(sprintf(_("The admin <strong>%s</strong> has been deleted."), $name), MSG_SUCCESS, __FILE__, __LINE__);
+        $db->query("DELETE FROM admin_tbl WHERE admin_id = '" . $db->escapeString($id) . "'");
+        $app->raiseMsg(sprintf(_("The admin <strong>%s</strong> has been deleted."), $name), MSG_SUCCESS, __FILE__, __LINE__);
     }
 
@@ -358,10 +365,13 @@
 {
     global $auth;
-
+	$app =& App::getInstance();
+	$db =& DB::getInstance();
+	$cache =& Cache::getInstance();
+	
     // Break the cache because we are changing the list data.
-    SessionCache::breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // Insert record data.
-    DB::query("
+    $db->query("
         INSERT INTO admin_tbl (
             username,
@@ -373,14 +383,14 @@
             added_datetime
         ) VALUES (
-            '" . DB::escapeString($frm['username']) . "',
-            '" . DB::escapeString($frm['first_name']) . "',
-            '" . DB::escapeString($frm['last_name']) . "',
-            '" . DB::escapeString($frm['email']) . "',
-            '" . DB::escapeString($frm['user_type']) . "',
-            '" . DB::escapeString($auth->getVal('user_id')) . "',
+            '" . $db->escapeString($frm['username']) . "',
+            '" . $db->escapeString($frm['first_name']) . "',
+            '" . $db->escapeString($frm['last_name']) . "',
+            '" . $db->escapeString($frm['email']) . "',
+            '" . $db->escapeString($frm['user_type']) . "',
+            '" . $db->escapeString($auth->getVal('user_id')) . "',
             NOW()
         )
     ");
-    $last_insert_id = mysql_insert_id(DB::getDBH());
+    $last_insert_id = mysql_insert_id($db->getDBH());
 
     // Set admin password.
@@ -391,5 +401,5 @@
     $version->create('admin_tbl', 'admin_id', $last_insert_id, $frm['username']);
 
-    App::raiseMsg(sprintf(_("The Admin <strong>%s</strong> has been added."), $frm['username']), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(sprintf(_("The Admin <strong>%s</strong> has been added."), $frm['username']), MSG_SUCCESS, __FILE__, __LINE__);
 
     return $last_insert_id;
@@ -399,5 +409,8 @@
 {
     global $auth, $lock;
-
+	$app =& App::getInstance();
+	$db =& DB::getInstance();
+	$cache =& Cache::getInstance();
+	
     $lock->select('admin_tbl', 'admin_id', $frm['admin_id']);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -406,5 +419,5 @@
 
     // Break the cache because we are changing the list data.
-    SessionCache::breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // If the userpass is left blank or with the filler **** characters, we don't want to update it.
@@ -415,14 +428,14 @@
 
     // Update record data.
-    DB::query("
+    $db->query("
         UPDATE admin_tbl SET
-            username = '" . DB::escapeString($frm['username']) . "',
-            first_name = '" . DB::escapeString($frm['first_name']) . "',
-            last_name = '" . DB::escapeString($frm['last_name']) . "',
-            email = '" . DB::escapeString($frm['email']) . "',
-            user_type = '" . DB::escapeString($frm['user_type']) . "',
-            modified_by_user_id = '" . DB::escapeString($auth->getVal('user_id')) . "',
+            username = '" . $db->escapeString($frm['username']) . "',
+            first_name = '" . $db->escapeString($frm['first_name']) . "',
+            last_name = '" . $db->escapeString($frm['last_name']) . "',
+            email = '" . $db->escapeString($frm['email']) . "',
+            user_type = '" . $db->escapeString($frm['user_type']) . "',
+            modified_by_user_id = '" . $db->escapeString($auth->getVal('user_id')) . "',
             modified_datetime = NOW()
-        WHERE admin_id = '" . DB::escapeString($frm['admin_id']) . "'
+        WHERE admin_id = '" . $db->escapeString($frm['admin_id']) . "'
     ");
 
@@ -431,5 +444,5 @@
     $version->create('admin_tbl', 'admin_id', $frm['admin_id'], $frm['username']);
 
-    App::raiseMsg(sprintf(_("The Admin <strong>%s</strong> has been updated."), $frm['username']), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(sprintf(_("The Admin <strong>%s</strong> has been updated."), $frm['username']), MSG_SUCCESS, __FILE__, __LINE__);
 
     // Unlock record.
@@ -441,5 +454,8 @@
     global $page;
     global $so;
-
+	$db =& DB::getInstance();
+	$prefs =& Prefs::getInstance();
+	$cache =& Cache::getInstance();
+	
     $where_clause = '';
 
@@ -450,8 +466,8 @@
             $where_clause .= (empty($where_clause) ? 'WHERE' : 'AND') . "
                 (
-                    admin_tbl.username LIKE '%" . DB::escapeString($qry_words[$i]) . "%'
-                    OR admin_tbl.first_name LIKE '%" . DB::escapeString($qry_words[$i]) . "%'
-                    OR admin_tbl.last_name LIKE '%" . DB::escapeString($qry_words[$i]) . "%'
-                    OR admin_tbl.email LIKE '%" . DB::escapeString($qry_words[$i]) . "%'
+                    admin_tbl.username LIKE '%" . $db->escapeString($qry_words[$i]) . "%'
+                    OR admin_tbl.first_name LIKE '%" . $db->escapeString($qry_words[$i]) . "%'
+                    OR admin_tbl.last_name LIKE '%" . $db->escapeString($qry_words[$i]) . "%'
+                    OR admin_tbl.email LIKE '%" . $db->escapeString($qry_words[$i]) . "%'
                 )
             ";
@@ -460,5 +476,5 @@
 
     // Count the total number of records so we can do something about the page numbers.
-    $qid = DB::query("
+    $qid = $db->query("
         SELECT COUNT(*)
         FROM admin_tbl
@@ -491,15 +507,15 @@
     // without knowing the hash.
     $cache_hash = md5($sql . '|' . $page->total_items);
-    if (Prefs::getValue('cache_hash', $_SERVER['PHP_SELF']) != $cache_hash) {
-        SessionCache::breakCache($_SERVER['PHP_SELF']);
-        Prefs::setValue('cache_hash', $cache_hash, $_SERVER['PHP_SELF']);
-    }
-
-    if (SessionCache::isCached($_SERVER['PHP_SELF']) && false) {
+    if ($prefs->get('cache_hash', $_SERVER['PHP_SELF']) != $cache_hash) {
+        $cache->delete($_SERVER['PHP_SELF']);
+        $prefs->set('cache_hash', $cache_hash, $_SERVER['PHP_SELF']);
+    }
+
+    if ($cache->exists($_SERVER['PHP_SELF']) && false) {
         // Get the cached results.
-        $list = SessionCache::getCache($_SERVER['PHP_SELF']);
+        $list = $cache->get($_SERVER['PHP_SELF']);
     } else {
         // If the list is not already cached, query now.
-        $qid = DB::query($sql);
+        $qid = $db->query($sql);
         // Fill an array with the items for this page.
         while ($row = mysql_fetch_assoc($qid)) {
@@ -509,5 +525,5 @@
         if (isset($list) && !empty($list)) {
             // Cache the results.
-            SessionCache::putCache($list, $_SERVER['PHP_SELF']);
+            $cache->set($list, $_SERVER['PHP_SELF']);
         }
     }
Index: trunk/services/lock.php
===================================================================
--- trunk/services/lock.php	(revision 124)
+++ trunk/services/lock.php	(revision 136)
@@ -9,12 +9,12 @@
 
 $auth->requireLogin();
-App::sslOn();
+$app->sslOn();
 
 if (getFormData('boomerang', false)) {
     // We remember which page we came from so we can go back there.
     $boom_url = strpos(getFormData('boomerang'), '/') !== false ? getFormData('boomerang') : $_SERVER['HTTP_REFERER'];
-    App::setBoomerangURL($boom_url, 'lock');
+    $app->setBoomerangURL($boom_url, 'lock');
     if (isset($_SERVER['HTTP_REFERER'])) {
-        App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'cancel-lock');
+        $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'cancel-lock');
     }
 }
@@ -26,6 +26,6 @@
 
 if (!$lock->isLocked()) {
-    App::logMsg('Lock not found with lock_id: ' . getFormData('lock_id') . ', from referrer: ' . $_SERVER['HTTP_REFERER'], LOG_WARNING, __FILE__, __LINE__);
-    App::dieBoomerangURL('lock');
+    $app->logMsg('Lock not found with lock_id: ' . getFormData('lock_id') . ', from referrer: ' . $_SERVER['HTTP_REFERER'], LOG_WARNING, __FILE__, __LINE__);
+    $app->dieBoomerangURL('lock');
 }
 
@@ -33,10 +33,10 @@
 if (getFormData('unlock', false)) {
     $lock->remove();
-    App::raiseMsg(sprintf(_("The record <strong>%s</strong> has been unlocked, and can now be modified."), $lock->getTitle('title')), MSG_NOTICE, __FILE__, __LINE__);
-    App::dieBoomerangURL('lock');
+    $app->raiseMsg(sprintf(_("The record <strong>%s</strong> has been unlocked, and can now be modified."), $lock->getTitle('title')), MSG_NOTICE, __FILE__, __LINE__);
+    $app->dieBoomerangURL('lock');
 } else if (getFormData('cancel', false)) {
     // Since the boomerang URL will go back to the locked record, and the record was not unlocked, we must delete the boomerang URL otherwise we'll come back here.
-    App::deleteBoomerangURL('lock');
-    App::dieBoomerangURL('cancel-lock');
+    $app->deleteBoomerangURL('lock');
+    $app->dieBoomerangURL('cancel-lock');
 }
 
Index: trunk/services/login.php
===================================================================
--- trunk/services/login.php	(revision 124)
+++ trunk/services/login.php	(revision 136)
@@ -8,7 +8,7 @@
 // allows us to remember which page we came from so we can go back there.
 if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
-    App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'login');
+    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'login');
 }
-App::sslOn();
+$app->sslOn();
 
 $frm['username'] = getFormdata('username');
@@ -19,10 +19,10 @@
 
     if ($auth->login($frm['username'], $frm['password'])) {
-        App::raiseMsg(_("You are now logged in."), MSG_SUCCESS, __FILE__, __LINE__);
-        App::dieBoomerangURL('login');
-        App::logMsg(sprintf('%s %s successfully logged-in.', $auth->getVal('auth_name'), $frm['username']), LOG_INFO, __FILE__, __LINE__);
+        $app->raiseMsg(_("You are now logged in."), MSG_SUCCESS, __FILE__, __LINE__);
+        $app->dieBoomerangURL('login');
+        $app->logMsg(sprintf('%s %s successfully logged-in.', $auth->getVal('auth_name'), $frm['username']), LOG_INFO, __FILE__, __LINE__);
     } else {
-        App::raiseMsg(_("Login failed, please try again."), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('%s %s failed login using (MD5ed) password: %s', ucfirst($auth->getVal('auth_name')), $frm['username'], md5($frm['password'])), LOG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(_("Login failed, please try again."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('%s %s failed login using (MD5ed) password: %s', ucfirst($auth->getVal('auth_name')), $frm['username'], md5($frm['password'])), LOG_NOTICE, __FILE__, __LINE__);
     }
 }
Index: trunk/services/logout.php
===================================================================
--- trunk/services/logout.php	(revision 124)
+++ trunk/services/logout.php	(revision 136)
@@ -5,5 +5,5 @@
  */
 
-if (is_a($auth, 'Auth_SQL')) {
+if (isset($auth) && method_exists($auth, 'getVal')) {
     // Delete the current user's record locks.
     require_once 'codebase/lib/RecordLock.inc.php';
@@ -15,6 +15,6 @@
 $auth->clearAuth();
 
-App::raiseMsg(sprintf(_("Your session has been logged-out."), null), MSG_SUCCESS, __FILE__, __LINE__);
-App::dieURL(App::getParam('redirect_home_url'));
+$app->raiseMsg(sprintf(_("Your session has been logged-out."), null), MSG_SUCCESS, __FILE__, __LINE__);
+$app->dieURL($app->getParam('redirect_home_url'));
 
 ?>
